The pfSense Store

Author Topic: snmpv3?  (Read 3470 times)

0 Members and 1 Guest are viewing this topic.

Offline doane

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
snmpv3?
« on: July 20, 2015, 10:24:45 pm »
Why is there not an option to enable snmpv3, or did I miss something? 

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21385
  • Karma: +1432/-26
    • View Profile
Re: snmpv3?
« Reply #1 on: July 24, 2015, 08:12:20 am »
We don't have code in the GUI to handle it currently. From the looks of it, v3 support in the daemon we use (bsnmpd) may not be all that easy to handle.
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline TooMeeK

  • Full Member
  • ***
  • Posts: 152
  • Karma: +0/-0
    • View Profile
Re: snmpv3?
« Reply #2 on: September 22, 2015, 10:12:09 am »
+1 more interested (we mostly use SNMPv3)

Offline snm777

  • Jr. Member
  • **
  • Posts: 86
  • Karma: +3/-0
    • View Profile
Re: snmpv3?
« Reply #3 on: September 29, 2015, 02:58:44 pm »
Interest here too.  v3 is required for some environments is you wnat to do snmp monitoring in areas with compliance data.

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21385
  • Karma: +1432/-26
    • View Profile
Re: snmpv3?
« Reply #4 on: September 29, 2015, 03:00:39 pm »
Someone could write up a package for net-snmp.

It probably won't make it into base because of its required dependencies, though perhaps that can be trimmed as well.
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline miken32

  • Jr. Member
  • **
  • Posts: 57
  • Karma: +2/-0
    • View Profile
    • Website
Re: snmpv3?
« Reply #5 on: August 17, 2016, 06:04:07 pm »
Someone could write up a package for net-snmp.

It probably won't make it into base because of its required dependencies, though perhaps that can be trimmed as well.

Is this made any easier by the new architecture in 2.3? I can do `pkg install net-snmp` easily enough, no dependencies are installed at all.